System.Data.OracleClient requires Oracle client software version 8.1.7 or greater #2

Hi

I have a problem. In my Website I want to access to an Oracle database with a gridview. When I run my website In Visual studio 2005 the page display Data vey well.

But I have publishing my website with IIS on my local Machine, and when I execute The site I have this error:

System.Data.OracleClient requires Oracle client software version 8.1.7 or greater

My database is done in Oracle 8i.

What can I do ta solve this Problem

Thank you.

PS: Sorry for my bad expression In english I am a francophone. 

0
ngonka2003
9/21/2007 9:03:34 AM
asp.net.oracle 2269 articles. 0 followers. Follow

2 Replies
1104 Views

Similar Articles

[PageSpeed] 11

This problem because Security permissions were not properly set when the Oracle  client was installed on Windows with NTFS. The result of this is that content of the ORACLE_HOME directory is not visible to Authenticated Users on the machine; this again causes an error while the System.Data.OracleClient is communicating with the Oracle Connectivity software from an ASP.NET using Authenticated User privileges.

to solve this problem give Read/Write permission to Authenticated Users on your oracle home folder

for detailed steps see Posts

http://forums.asp.net/p/1031103/1424920.aspx#1424920 

http://forums.asp.net/t/1045815.aspx 

http://www.dotnetjunkies.com/WebLog/rtgurskevik/archive/2005/01/19/45958.aspx 


Hosam Kamel

Remember to click on Mark as answer on the post that helped you
0
HosamKamel
9/21/2007 12:44:26 PM

Thank you very much for your help.

My problem is solved.

0
ngonka2003
9/24/2007 7:50:09 AM
Reply:

Similar Artilces:

System.Data.OracleClient requires Oracle client software version 8.1.7 or greater. #2
Hellow All Forum Member, i have big problem in IIS Setting.i use Asp.Net 2.0 and Oracle 10g. in Visual studio Editer  it work fine . but if i deploy it in IIS then following error coming System.Data.OracleClient requires Oracle client software version 8.1.7 or greater. pls help me Thanking You Salman Do you have the Oracle client installed on the web servicer?  Oracle.DataAccess.dll is not enough. I am also facing the same issue when i deploy my code into IIS. If anybody has a solution then can you please let me know at prashanthgajra@gmail.com. Hi prashanth...

System.Data.OracleClient requires Oracle client software version 8.1.7 or greater.
Hi all, Currenlty i am using asp .net 2.0 and oracle 10g. My current arhitechture look like this Server A - Oracle database 10g Server B - Web application and Oracle 10 g client  I am using System.Data.OracleClient for database connection. It work fine when i doing development. But after i published and deployed in IIS. i get System.Data.OracleClient requires Oracle client software version 8.1.7 or greater. I also try to search from the internet through that error message but the solution that i get seems like not work. I am stucks, Please help Thanks a million Help H...

System.Data.OracleClient requires Oracle client Software version 8.1.7 or greater
I am getting folowing error running Windows 2003 Server, Oracle 9i (9.2.0) and .NET 1.1 "System.Data.OracleClient requires Oracle client Software version 8.1.7 or greater". Does anyone have any ideas on resolving this issue? I do in fact have the client tools installed and what I am really confused about is my dev box running the exact same instalation of Oracle 9i and running XP Pro everthing works just fine so I beleieve it is an OS issue. The application I am testing is MS PetShop 3.0Steven M. Swaffordhttp://aspalliance.com/author.aspx?uId=1158Dont forget to click "Ma...

System.Data.OracleClient requires Oracle client software version 8.1.7 or greater #3
Hi,    I am using Microsoft Visual Studio 2005 and Oracle 10g as a database.When I am using .Net framework Data provider for OLEDB ,it is running(getting the data from the table).Using .Net framework Data provider for Oracle ,it is not running.  I am getting the error:  System.Data.OracleClient requires Oracle client software version 8.1.7 or greater I was given the full access in the Oracle Home folder,still it is not running. Please advise me.   To connect to VS 2005 to Oracle 10g Server you need Oracle client to be installed in your deve...

system.data.oracleclient requires oracle client software version 8.1.7 or greater. #4
Hi I am in development server and accessing the oracle database which is ther in linux server through ip address but its giving me the following error when iam connecting to server just to retrive the records with simple select query system.data.oracleclient requires oracle client software version 8.1.7 or greater. Any one has the knowledge that why iam getting this error - Thanks Thanks Shaik Mujahid Ullah   Pls go to setup 8i/9i clientsMany Thanks & Best Regards,HuaMin Chen(Mark it as answer if it does help you!)Mail it to me at HuaMin_Chen@Ymail.com for the client-server...

Help on System.Data.OracleClient requires Oracle client software version 8.1.7 or greater?
I have problem with  System.Data.OracleClient requires Oracle client software version 8.1.7 or greater.At first  I installed 10g oracle developer on my machine and it had all the services and TNS name. With this I used to connect to oracle database using asp.net user.Meaning when I run web application in asp.net it used to connect to Oracle database and get the the information I want. Now the problem started on machine when I installed oracle 6i because  I wanted to access the data using the old data.Now when I installed 6i I would access both 10 g database and 6i applaication...

System.Data.OracleClient requires Oracle client software version 8.1.7 or greater. #3
We have a ASP.NET appln which connects to Oracle database for data. We have installed  Oracle 11g client software in the application server to connec to DB server. It works fine in Windows XP environement in production we have Windows server 2003 (workgroup) its not working there it gives error message  "System.Data.OracleClient requires Oracle client software version 8.1.7 or greater."   Note: On installing Oracle 11g in Windows 2003 Oracle MTS service gave some error we ignored it.   Thanks, ~ Raj  - You need to grant the permissions to...

system.data.oracleclient requires oracle client software version 8.1.7 or greater #4
Greetings, I have Installed oracle 8i and using ASP.Net 2.0 I am getting the above mentioned error and when I searched there were suggestions i.e. check the Oracle Home folder rights, change the user name in the machine config file and restart the computer. I did all these but still I am getting the same error. I need you help Best regards, Pervaiz Hi,   8i didnt have the permissions problem that you see so many posts regarding this error message.   So, quite simply, system.data.oracleclient cant find the Oracle client dlls, most likely oci.dll.   Is OracleHo...

Error : System.Data.OracleClient requires Oracle client software version 8.1.7 or greater.
Hi, I am using System.Data.OracleClient to connect to the oracle database from .NET 2.0 application. But it gives me error saying : Error : System.Data.OracleClient requires Oracle client software version 8.1.7 or greater. I checked my system I am using oracle version 9.2.0. So should i need to do anything to solve this problem. Thank you.  Have you tried this?http://theniceweb.com/LizisBlog/2006/09/oracle-client-tools-and-net.html http://forums.asp.net/t/327841.aspx Regards,PrashantDont forget to click "Mark as Answer" on the post that helped you. Prashan...

help needed :: System.Data.OracleClient requires Oracle client software version 8.1.7 or greater
 Hi all,I have problem accessing oracle database and I have tried the solutions from all over the web and still got no luck. here is my error:System.Data.OracleClient requires Oracle client software version 8.1.7 or greater. I have oracle_home directory in my PATH and I also have ORACLE_HOME defined. I tried to give permission to oracle_home directory to "read and execute" and reboot and still not luck. I am using asp .net 2.0 and oracle 10g client. Any suggestion would be greatly appreciated.  Thanks a lot. Cheers!   Restart your server after chan...

"System.Data.OracleClient requires Oracle client software version 8.1.7 or greater." error message?
This error often occurs with our team, this seemed a .NET (or Oracle bug) because we can fix it (not always) with some security tricks. Does it has happened with your applications, and how to fix? Thanks, p.s: .NET 1.0, SP2, Oracle 9i 9.0.2 (both client/server). Hi, Version 9.0.2? Are you running iAS as well? "Normal" oracle versions are 901, and 920 (although 902 is some sort of "special" version that comes with iAS). If using 920, its not "security tricks" you're doing. Its the real fix. The default 920 install permissions were botched, ...

System.Data.OracleClient requires OracleClient software version 8.1.7 or Higher"
Hello all. I have copied a project from machine A to machine B 1)when i open this  as project/solution  and run the prject and login then i get error System.Data.OracleClient requires OracleClient software version 8.1.7 or Higher" 2)if i open it as website i dnt get intellisense in code  and changes  in code are not reflected   but when i run i am able to login   but project on Machine A runs successfuly  even i open it as project/soln  and not website I tried deleting dll and building it again still i get the same error as above Please gu...

"System.Data.OracleClient requires OracleClient software version 8.1.7 or Higher"
Hi,  I am using Visual Studio 2005 ,Oracle 10g and ASP 2.0  When I create a web page using DataGridview Data Provider  When using .Net framework Data provider for OLEDB, I am getting Data. But when using .Net framework Data provider for Oracle,I am getting the error called "System.Data.OracleClient requires OracleClient software version 8.1.7 or Higher" Please help to resolve it . Hi If you are having the oracle in the different server you must install the oracle client on the webserver  machine.So install the client and try again. to down...

Solaris 8, Perl 5.8.7, DBI 1.5.1, DBD::Oracle 1.18a, Instant Client (basic) 10.2.0.2 and NLS settings
Some advice please... I am trying to build/package a perl module where I do not have to set LD_LIBRARY_PATH before use (there can be a number of oracle installations on the machines I want it for and cannot generically set it in case I break something else, and cannot use those installs since I cannot guarantee any oracle version being installed across the machines), and want minimal hassle in setting it up for use. I have done this so far by building DBD::Oracle with: perl Makefile.PL LIBS="-L/usr/local/oracle -lclntsh -lnnz10" PREFIX=/usr/local/oracle (previou...

Web resources about - System.Data.OracleClient requires Oracle client software version 8.1.7 or greater #2 - asp.net.oracle

Newest 'migration' Questions - Stack Overflow
... some database servers all works fine, but on the other for some unknown reason errors occur.I'm use the following code:using System.Data.OracleClient;... ...

Grand Unification Theory
We recently switched to VS.NET 2003 (.NET 1.1) at work, yet we're still using third party assemblies compiled under .NET 1.0. Now, ideally, you'd ...

A Map for the Microsoft Application Development Platform
... Data.Mapping Data.Metadata.Edm Data.Objects Data.Objects.DataClasses Data.Objects.SqlClient Data.Odbc Data.OleDb Data.OracleClient ...

What's worse than a Bad Error Message?
But as bad as those are, they pale in comparsion to what is, hands down, the worst kind of error message: a beautiful, well-formatted, informative, ...

Resources last updated: 11/26/2015 8:58:29 AM